## glib-networking 2.68.2

=== debian/changelog ===
glib-networking (2.68.2-2) unstable; urgency=medium

  * Team upload
  * Normalize permissions in installed-tests.
    debhelper 13.4 makes everything below /usr/libexec executable, but
    that's not what we want.
  * Standards-Version: 4.6.0 (no changes required)
  * Use debhelper compat level 13
    - Drop dh_missing override, it is now the default
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Aug 2021 13:36:08 +0100

glib-networking (2.68.2-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Improve error handling for PKCS #11 PIN failures
    - Ensure that PKCS #11 pins are NUL-terminated
    - Allow tls-unique channel binding to be unsupported, as with GNUTLS
      when using TLS 1.3 or newer
  * d/p/gnutls-Ensure-that-PKCS-11-pins-are-NUL-terminated.patch:
    Drop patch, applied upstream
  * d/p/tests-Tolerate-zero-length-channel-binding-data-with-GNUT.patch:
    Add patch to tolerate a GNUTLS 3.7.1 bug until a suitable version
    becomes available in testing/unstable

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Aug 2021 11:13:11 +0100

glib-networking (2.68.1-2) experimental; urgency=medium

  * gnutls-Ensure-that-PKCS-11-pins-are-NUL-terminated.patch: Cherry pick.
    Upstream patch to ensure NUL-termination of pkcs#11 PINs, which fixes an
    apparently s390x-specific failure. Thanks to Patrick Griffis for the
    patch.

 -- Iain Lane <laney@debian.org>  Sun, 11 Jul 2021 17:02:59 +0100

glib-networking (2.68.1-1) experimental; urgency=medium

  * New upstream release:
    - Download and validate missing intermediate certificates
    - Fix a couple code issues found by Coverity
    - Fix check for certain handshake failure conditions
    - Fix double free in GnuTLS client certificate request code
    - Fix NULL dereference in g_tls_connection_base_read_message
    - Fix threadsafety issue in certificate verification
    - Implement PKCS#11 API
    - Implement TLS channel bindings API
    - Improve heuristic for returning G_TLS_ERROR_CERTIFICATE_REQUIRED
    - OpenSSL backend now uses system crypto policy
    - Remove use of g_assert in testsuite
    - Restore support for old versions of OpenSSL
    - Temporarily remove support for downloading missing intermediate
      certificates with GnuTLS 3.7
    - Update testsuite for Fedora 33 crypto policy
  * control: Bump glib BD per upstream

 -- Iain Lane <laney@debian.org>  Tue, 29 Jun 2021 17:47:50 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: glib-networking
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               meson (>= 0.47.0),
               libglib2.0-dev (>= 2.67.0),
               libgnutls28-dev (>= 3.6.5),
               libproxy-dev (>= 0.4),
               gsettings-desktop-schemas-dev,
               ca-certificates
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/gnome-team/glib-networking
Vcs-Git: https://salsa.debian.org/gnome-team/glib-networking.git

Package: glib-networking
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking-services (>= ${source:Version}),
         glib-networking-services (<< ${source:Version}.1~),
         glib-networking-common (>= ${source:Version}),
         gsettings-desktop-schemas
Breaks: balsa (<< 2.6.0-2ubuntu0.1),
        libsoup2.4-tests (<< 2.71.1-1~),
Description: network-related giomodules for GLib
 This package contains various network related extensions for the GIO
 library.

Package: glib-networking-services
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking-common (>= ${source:Version})
Recommends: glib-networking
Description: network-related giomodules for GLib - D-Bus services
 This package contains D-Bus services that are used by the GIO network
 extensions in glib-networking, for actions that need to be done in a
 separate process.

Package: glib-networking-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: glib-networking
Description: network-related giomodules for GLib - data files
 This package contains data files and translations for the GIO network
 extensions in glib-networking.

Package: glib-networking-tests
Section: misc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         glib-networking (= ${binary:Version}),
         ca-certificates
Description: network-related giomodules for GLib - installed tests
 This package contains test programs, designed to be run as part of a
 regression testsuite.

=== debian/rules ===
#!/usr/bin/make -f

binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dinstalled_tests=true

# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
# quite right for installed-tests
override_dh_fixperms:
	dh_fixperms -Xusr/libexec/installed-tests
ifneq ($(filter %-tests,$(binaries)),)
	chmod --changes u=rw,og=r debian/*-tests/usr/libexec/installed-tests/*/*.so
	chmod --recursive --changes a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
endif

# Don't strip translations from the installed tests; makes them environment dependent.
override_dh_translations:
	dh_translations -Xinstalled-tests

## glib-networking 2.72.0

=== debian/changelog ===
glib-networking (2.72.0-1) unstable; urgency=medium

  * New upstream release
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 22 Mar 2022 14:54:01 -0400

glib-networking (2.72~beta-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 14 Feb 2022 08:32:27 -0500

glib-networking (2.72~alpha-1) experimental; urgency=medium

  * Team upload
  * d/watch: Accept development versions
  * New upstream development release

 -- Simon McVittie <smcv@debian.org>  Thu, 27 Jan 2022 16:41:41 +0000

glib-networking (2.70.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * debian/rules: Drop unneeded -Wl,--as-needed

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 06 Dec 2021 20:32:57 -0500

glib-networking (2.70.0-1) unstable; urgency=medium

  * New upstream release
  * Update GLib build-dependency version
  * d/copyright: Update
  * d/p/tests-Tolerate-zero-length-channel-binding-data-with-GNUT.patch:
    Drop workaround for GNUTLS 3.7.1.
    - d/control.in: Build-depend on 3.7.2 instead, now that it's available
      in unstable.
  * d/p/tests-Accept-GNUTLS-workaround-for-limited-size-of-time_t.patch:
    Add a patch to work around GNUTLS ABI limitations with 32-bit time_t
  * d/control.in: glib-networking-tests: Depend on python3

 -- Simon McVittie <smcv@debian.org>  Mon, 20 Sep 2021 20:49:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                meson (>= 0.47.0),
-               libglib2.0-dev (>= 2.67.0),
-               libgnutls28-dev (>= 3.6.5),
+               libglib2.0-dev (>= 2.69.0),
+               libgnutls28-dev (>= 3.7.2),
                libproxy-dev (>= 0.4),
                gsettings-desktop-schemas-dev,
                ca-certificates
@@ -62,7 +62,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          glib-networking (= ${binary:Version}),
-         ca-certificates
+         ca-certificates,
+         python3,
 Description: network-related giomodules for GLib - installed tests
  This package contains test programs, designed to be run as part of a
  regression testsuite.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 binaries := $(shell dh_listpackages)
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
 	dh $@

## glib-networking 2.74.0

=== meson_options.txt ===
# The OpenSSL backend is provided for systems where licensing considerations
# prohibit use of certain dependencies of GnuTLS. General-purpose Linux distros
# should leave it disabled. Please don't second-guess our defaults.
#
# The environment variable proxy backend is intended for use if you are building
# without libproxy.
option('gnutls', type: 'feature', value: 'auto', description: 'support for GnuTLS networking configration')
option('openssl', type: 'feature', value: 'disabled', description: 'support for OpenSSL networking configration')
option('environment_proxy', type: 'feature', value: 'auto', description: 'support for environment variable proxy configuration')
option('libproxy', type: 'feature', value: 'auto', description: 'support for libproxy proxy configration')
option('gnome_proxy', type: 'feature', value: 'auto', description: 'support for GNOME desktop proxy configuration')
option('installed_tests', type: 'boolean', value: false, description: 'enable installed tests')
option('debug_logs', type: 'boolean', value: false, description: 'enable debug log messages (slow)')

# Deprecated, use -Ddefault_library=static instead.
option('static_modules', type: 'boolean', value: false, description: 'build static modules',
  deprecated: true)

=== debian/changelog ===
glib-networking (2.74.0-4) unstable; urgency=medium

  * Team upload
  * d/p/proxy-Use-environment-libproxy-as-the-as-installed-test-f.patch:
    Add proposed patch to resolve autopkgtest regression now that the
    environment proxy module is disabled (Closes: #1031166)

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Feb 2023 17:49:53 +0000

glib-networking (2.74.0-3) unstable; urgency=medium

  * Disable environment proxy: it's unused & upstream recommends disabling it
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Feb 2023 19:04:34 -0500

glib-networking (2.74.0-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Cherry-pick patch to fix build tests with gnutls28 3.78 (Closes: #1022376)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 11 Dec 2022 12:35:23 -0500

glib-networking (2.74.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Sep 2022 14:02:46 -0400

glib-networking (2.74~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.60.0
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Sep 2022 15:11:18 -0400

glib-networking (2.74~beta-2) unstable; urgency=medium

  * Cherry-pick 2 patches to fix failing autopkgtests (LP: #1988062)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 29 Aug 2022 17:19:47 -0400

glib-networking (2.74~beta-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib2.0, gnutls, libproxy, meson

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 24 Aug 2022 12:15:54 -0400

glib-networking (2.72.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 05 Aug 2022 18:25:24 -0400

glib-networking (2.72.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Shannon Brady <duckydreams@gmail.com>  Mon, 18 Jul 2022 18:32:41 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
-               meson (>= 0.47.0),
-               libglib2.0-dev (>= 2.69.0),
-               libgnutls28-dev (>= 3.7.2),
-               libproxy-dev (>= 0.4),
+               meson (>= 0.60.0),
+               libglib2.0-dev (>= 2.73.3),
+               libgnutls28-dev (>= 3.7.4),
+               libproxy-dev (>= 0.4.16),
                gsettings-desktop-schemas-dev,
                ca-certificates
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib-networking
 Vcs-Git: https://salsa.debian.org/gnome-team/glib-networking.git

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dauto_features=enabled \
+		-Denvironment_proxy=disabled \
 		-Dinstalled_tests=true
 
 # debhelper >= 13.4 makes all of /usr/libexec executable, which is not

## glib-networking 2.76.0

=== debian/changelog ===
glib-networking (2.76.0-1) experimental; urgency=medium

  * New upstream release
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 08:54:47 -0400

glib-networking (2.76~beta-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop tls patch applied in new release
  * debian/rules: remove unnecessary configure options

  [ Simon McVittie ]
  * d/rules: Increase arbitrary test timeouts by a factor of 3

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 13 Feb 2023 09:50:33 -0500

## glib-networking 2.76.1

=== debian/changelog ===
glib-networking (2.76.1-2) unstable; urgency=medium

  * d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el.
    Mitigates: #1041499

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 04 Aug 2023 13:11:34 -0400

glib-networking (2.76.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete Breaks
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Jul 2023 10:11:17 +0300

=== debian/rules ===
--- 
+++ 
@@ -5,14 +5,21 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
+configure_options :=
+
+ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
+configure_options += --native-file=$(CURDIR)/debian/meson/no-exe-wrapper.ini
+endif
+
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dauto_features=enabled \
-		-Denvironment_proxy=disabled \
-		-Dinstalled_tests=true
+		-Dinstalled_tests=true $(configure_options)
+
+override_dh_auto_test:
+	dh_auto_test -- --timeout-multiplier 3
 
 # debhelper >= 13.4 makes all of /usr/libexec executable, which is not
 # quite right for installed-tests

## glib-networking 2.78.0

=== debian/changelog ===
glib-networking (2.78.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Sep 2023 14:13:20 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                meson (>= 0.60.0),
@@ -29,8 +29,6 @@
          glib-networking-services (<< ${source:Version}.1~),
          glib-networking-common (>= ${source:Version}),
          gsettings-desktop-schemas
-Breaks: balsa (<< 2.6.0-2ubuntu0.1),
-        libsoup2.4-tests (<< 2.71.1-1~),
 Description: network-related giomodules for GLib
  This package contains various network related extensions for the GIO
  library.

=== debian/rules ===
--- 
+++ 
@@ -5,18 +5,12 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
-configure_options :=
-
-ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
-configure_options += --native-file=$(CURDIR)/debian/meson/no-exe-wrapper.ini
-endif
-
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Dinstalled_tests=true $(configure_options)
+		-Dinstalled_tests=true
 
 override_dh_auto_test:
 	dh_auto_test -- --timeout-multiplier 3

## glib-networking 2.80~alpha

=== debian/changelog ===
glib-networking (2.80~alpha-1) unstable; urgency=medium

  * New upstream release
  * Cherry-pick a patch that will be included in the next release
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Feb 2024 15:39:24 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: glib-networking
 Section: libs
 Priority: optional

## glib-networking 2.80.0

=== debian/changelog ===
glib-networking (2.80.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:56:57 +0000

glib-networking (2.80.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:59:03 -0400

glib-networking (2.80~rc-1) unstable; urgency=medium

  * New upstream release
  * Drop remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Mar 2024 16:30:36 -0500

glib-networking (2.80~alpha-2) unstable; urgency=medium

  * Set minimum libproxy to 0.5 because of ifdef'd code.
    Thanks to Sebastien Bacher

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Feb 2024 07:51:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                meson (>= 0.60.0),
                libglib2.0-dev (>= 2.73.3),
                libgnutls28-dev (>= 3.7.4),
-               libproxy-dev (>= 0.4.16),
+               libproxy-dev (>= 0.5),
                gsettings-desktop-schemas-dev,
                ca-certificates
 Rules-Requires-Root: no

## glib-networking 2.80.1

=== debian/changelog ===
glib-networking (2.80.1-1build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 11:37:54 +0000

glib-networking (2.80.1-1) unstable; urgency=medium

  * New upstream release
  * Mark ca-certificates as only required for build tests
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 14:16:30 -0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: glib-networking
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
+               ca-certificates <!nocheck>,
                dh-sequence-gnome,
+               gsettings-desktop-schemas-dev,
                meson (>= 0.60.0),
                libglib2.0-dev (>= 2.73.3),
                libgnutls28-dev (>= 3.7.4),
                libproxy-dev (>= 0.5),
-               gsettings-desktop-schemas-dev,
-               ca-certificates
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/glib-networking
 Vcs-Git: https://salsa.debian.org/gnome-team/glib-networking.git

=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,5 @@
 # Don't strip translations from the installed tests; makes them environment dependent.
 override_dh_translations:
 	dh_translations -Xinstalled-tests
+
+override_dh_gnome_clean:
